### Function

# Fwupd Codec json_append

since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_json_append (
      JsonBuilder* builder,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Appends a key and value to a JSON builder.

Available since: 2.0.0

#### Parameters

`builder`

  Type: `JsonBuilder`

  A `JsonBuilder`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A string to append.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.